## gitit 0.7.3.6

=== debian/changelog ===
gitit (0.7.3.6-1) unstable; urgency=low

  * Initial release. (closes: #556099)

 -- Giovanni Mascellani <gio@debian.org>  Fri, 06 Aug 2010 19:31:54 +0200
