## gitit 0.8.0.1

=== debian/changelog ===
gitit (0.8.0.1-2) unstable; urgency=low

  * Added manpage for gitit (closes: #631809).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 25 Jul 2011 21:12:12 +0200

gitit (0.8.0.1-1) unstable; urgency=low

  * New upstream release:
    + Fixed file upload bug (closes: #629643);
    + debian/patches: removed, integrated upstream.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 15 Jun 2011 10:38:13 +0200

gitit (0.8-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Giovanni Mascellani ]
  * New upstream release (closes: #626710, LP: #749185).
  * debian/control:
    + removing references to GHC 6;
    + Standards-Version bumped to 3.9.2 (no changes required);
    + build dependencies updated.
  * debian/copyright:
    + copyright years updated;
    + a few new files added.
  * debian/rules: minor fixes.
  * debian/patches: added patch to relax SHA versioned dependency.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 01 Jun 2011 13:32:14 +0200
