=== debian/control ===
--- 
+++ 
@@ -7,59 +7,64 @@
  debhelper (>= 7),
  haskell-devscripts (>= 0.7),
  cdbs,
- ghc6,
- ghc6-prof,
- libghc6-cautious-file-dev,
- libghc6-cgi-dev,
- libghc6-configfile-dev,
- libghc6-feed-dev,
- libghc6-filestore-dev,
- libghc6-happstack-server-dev,
- libghc6-happstack-util-dev,
- libghc6-highlighting-kate-dev,
- libghc6-hslogger-dev,
- libghc6-hstringtemplate-dev,
- libghc6-http-dev,
- libghc6-mtl-dev,
- libghc6-network-dev,
- libghc6-pandoc-dev,
- libghc6-parsec3-dev,
- libghc6-recaptcha-dev,
- libghc6-safe-dev,
- libghc6-sha-dev,
- libghc6-texmath-dev,
- libghc6-text-dev,
- libghc6-unix-compat-dev,
- libghc6-url-dev,
- libghc6-xhtml-dev,
- libghc6-xml-dev
+ ghc,
+ pandoc (>= 1.8),
+ xsltproc,
+ docbook-xsl,
+ libghc-pandoc-dev (>= 1.8),
+ libghc-pandoc-types-dev (>= 1.8),
+ libghc-safe-dev,
+ libghc-parsec3-dev,
+ libghc-xhtml-dev,
+ libghc-mtl-dev,
+ libghc-cgi-dev,
+ libghc-network-dev (>= 2.1.0.0),
+ libghc-highlighting-kate-dev (>= 0.2.7.1),
+ libghc-utf8-string-dev (>= 0.3),
+ libghc-sha-dev (>= 1.1),
+ libghc-http-dev (>= 4000.0),
+ libghc-hstringtemplate-dev (>= 0.6),
+ libghc-recaptcha-dev (>= 0.1),
+ libghc-filestore-dev (>= 0.4.0.2),
+ libghc-filestore-data (>= 0.4.0.2),
+ libghc-zlib-dev (>= 0.5),
+ libghc-url-dev (>= 2.1),
+ libghc-happstack-server-dev (>= 6.0),
+ libghc-happstack-util-dev (>= 6.0),
+ libghc-xml-dev (>= 1.3.5),
+ libghc-hslogger-dev (>= 1),
+ libghc-configfile-dev (>= 1),
+ libghc-feed-dev (>= 0.3.6),
+ libghc-xss-sanitize-dev (>= 0.2),
+ libghc-json-dev (>= 0.4)
 Build-Depends-Indep:
- ghc6-doc,
- libghc6-cautious-file-doc,
- libghc6-cgi-doc,
- libghc6-configfile-doc,
- libghc6-feed-doc,
- libghc6-filestore-doc,
- libghc6-happstack-server-doc,
- libghc6-happstack-util-doc,
- libghc6-highlighting-kate-doc,
- libghc6-hslogger-doc,
- libghc6-hstringtemplate-doc,
- libghc6-http-doc,
- libghc6-mtl-doc,
- libghc6-network-doc,
- libghc6-pandoc-doc,
- libghc6-parsec3-doc,
- libghc6-recaptcha-doc,
- libghc6-safe-doc,
- libghc6-sha-doc,
- libghc6-texmath-doc,
- libghc6-text-doc,
- libghc6-unix-compat-doc,
- libghc6-url-doc,
- libghc6-xhtml-doc,
- libghc6-xml-doc
-Standards-Version: 3.9.1
+ ghc-doc,
+ libghc-pandoc-doc (>= 1.8),
+ libghc-pandoc-types-doc (>= 1.8),
+ libghc-safe-doc,
+ libghc-parsec3-doc,
+ libghc-xhtml-doc,
+ libghc-mtl-doc,
+ libghc-cgi-doc,
+ libghc-network-doc (>= 2.1.0.0),
+ libghc-highlighting-kate-doc (>= 0.2.7.1),
+ libghc-utf8-string-doc (>= 0.3),
+ libghc-sha-doc (>= 1.1),
+ libghc-http-doc (>= 4000.0),
+ libghc-hstringtemplate-doc (>= 0.6),
+ libghc-recaptcha-doc (>= 0.1),
+ libghc-filestore-doc (>= 0.4.0.2),
+ libghc-zlib-doc (>= 0.5),
+ libghc-url-doc (>= 2.1),
+ libghc-happstack-server-doc (>= 6.0),
+ libghc-happstack-util-doc (>= 6.0),
+ libghc-xml-doc (>= 1.3.5),
+ libghc-hslogger-doc (>= 1),
+ libghc-configfile-doc (>= 1),
+ libghc-feed-doc (>= 0.3.6),
+ libghc-xss-sanitize-doc (>= 0.2),
+ libghc-json-doc (>= 0.4)
+Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/gitit
 Vcs-Darcs: http://darcs.debian.org/darcs/pkg-haskell/gitit
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/gitit
@@ -94,7 +99,7 @@
      any happstack application;
    * pages can be written directly in literate Haskell.
 
-Package: libghc6-gitit-dev
+Package: libghc-gitit-dev
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -104,7 +109,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: Wiki engine backed by a git or darcs filestore - GHC 6 libraries
+Description: Wiki engine backed by a git or darcs filestore - GHC libraries
  Gitit is a wiki backed by a git or darcs filestore. Pages and uploaded files
  can be modified either directly via the VCS’s command-line tools or through
  the wiki’s web interface. Pandoc is used for markup processing, so pages may
@@ -126,9 +131,9 @@
      any happstack application;
    * pages can be written directly in literate Haskell.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
-Package: libghc6-gitit-doc
+Package: libghc-gitit-doc
 Section: doc
 Architecture: all
 Depends:
