=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

PANDOC_DEP := $(shell dpkg -p pandoc | grep ^Version: | cut -d' ' -f2)
FILESTORE_DEP := $(shell dpkg -p libghc-filestore-data | grep ^Version: | cut -d' ' -f2)

MANPAGES := gitit.1 expireGititCache.1
DEB_INSTALL_MANPAGES_gitit := $(MANPAGES)

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%.1: debian/%.xml
	$(XP) $(DB2MAN) $<

build/gitit:: $(MANPAGES)

install/gitit:: debian/tmp-inst-ghc
	cp -av debian/tmp-inst-ghc/usr/bin/* debian/gitit/usr/bin
	cp -av debian/tmp-inst-ghc/usr/share/gitit-$(CABAL_VERSION) debian/gitit/usr/share

	# Don't use embedded copies of jQuery and jQuery UI; instead, make symlinks
	rm -f debian/gitit/usr/share/gitit-$(CABAL_VERSION)/data/static/js/jquery.min.js
	rm -f debian/gitit/usr/share/gitit-$(CABAL_VERSION)/data/static/js/jquery-ui.packed.js
	dh_link -pgitit /usr/share/javascript/jquery/jquery.min.js usr/share/gitit-$(CABAL_VERSION)/data/static/js/jquery.min.js
	dh_link -pgitit /usr/share/javascript/jquery-ui/jquery-ui.min.js usr/share/gitit-$(CABAL_VERSION)/data/static/js/jquery-ui.packed.js

	# Generate dependencies against data packages
	echo "gitit:Depends=pandoc (= ${PANDOC_DEP}), libghc-filestore-data (= ${FILESTORE_DEP})" >> debian/gitit.substvars

	# Removes a few files, that are not necessary and make lintian cry
	rm -f debian/gitit/usr/share/gitit-$(CABAL_VERSION)/data/post-update
	rm -f debian/gitit/usr/share/gitit-$(CABAL_VERSION)/BLUETRIP-LICENSE
	rm -f debian/gitit/usr/share/gitit-$(CABAL_VERSION)/YUI-LICENSE

# Not used at the moment
#install/libghc-gitit-dev:: debian/tmp-inst-ghc
#	# Generate dependencies against data packages
#	echo "gitit:Depends=pandoc (= ${PANDOC_DEP}), libghc-filestore-data (= ${FILESTORE_DEP})" >> debian/gitit.substvars

clean::
	rm -f $(MANPAGES)
