## gitit 0.8.1

=== debian/changelog ===
gitit (0.8.1-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Using new data package trackers.

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 15 Sep 2011 20:14:44 +0200
