=== debian/control ===
--- 
+++ 
@@ -5,19 +5,20 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 7),
- haskell-devscripts (>= 0.7),
+ haskell-devscripts (>= 0.8.8),
  cdbs,
  ghc,
  pandoc (>= 1.8),
  xsltproc,
  docbook-xsl,
- libghc-pandoc-dev (>= 1.8),
- libghc-pandoc-types-dev (>= 1.8),
+ libghc-pandoc-dev (>= 1.8.2-2),
+ libghc-pandoc-types-dev (>= 1.8.2),
  libghc-safe-dev,
  libghc-parsec3-dev,
  libghc-xhtml-dev,
  libghc-mtl-dev,
  libghc-cgi-dev,
+ libghc-text-dev,
  libghc-network-dev (>= 2.1.0.0),
  libghc-highlighting-kate-dev (>= 0.2.7.1),
  libghc-utf8-string-dev (>= 0.3),
@@ -25,27 +26,30 @@
  libghc-http-dev (>= 4000.0),
  libghc-hstringtemplate-dev (>= 0.6),
  libghc-recaptcha-dev (>= 0.1),
- libghc-filestore-dev (>= 0.4.0.2),
- libghc-filestore-data (>= 0.4.0.2),
+ libghc-filestore-dev (>= 0.4.0.3-2),
+ libghc-filestore-data (>= 0.4.0.3-2),
  libghc-zlib-dev (>= 0.5),
  libghc-url-dev (>= 2.1),
  libghc-happstack-server-dev (>= 6.0),
+ libghc-happstack-server-dev (<< 6.3),
  libghc-happstack-util-dev (>= 6.0),
  libghc-xml-dev (>= 1.3.5),
  libghc-hslogger-dev (>= 1),
  libghc-configfile-dev (>= 1),
  libghc-feed-dev (>= 0.3.6),
- libghc-xss-sanitize-dev (>= 0.2),
+ libghc-xss-sanitize-dev (>= 0.3),
+ libghc-xss-sanitize-dev (<< 0.4),
  libghc-json-dev (>= 0.4)
 Build-Depends-Indep:
  ghc-doc,
- libghc-pandoc-doc (>= 1.8),
+ libghc-pandoc-doc (>= 1.8.1.1-2),
  libghc-pandoc-types-doc (>= 1.8),
  libghc-safe-doc,
  libghc-parsec3-doc,
  libghc-xhtml-doc,
  libghc-mtl-doc,
  libghc-cgi-doc,
+ libghc-text-doc,
  libghc-network-doc (>= 2.1.0.0),
  libghc-highlighting-kate-doc (>= 0.2.7.1),
  libghc-utf8-string-doc (>= 0.3),
@@ -53,7 +57,7 @@
  libghc-http-doc (>= 4000.0),
  libghc-hstringtemplate-doc (>= 0.6),
  libghc-recaptcha-doc (>= 0.1),
- libghc-filestore-doc (>= 0.4.0.2),
+ libghc-filestore-doc (>= 0.4.0.3-2),
  libghc-zlib-doc (>= 0.5),
  libghc-url-doc (>= 2.1),
  libghc-happstack-server-doc (>= 6.0),
@@ -62,7 +66,7 @@
  libghc-hslogger-doc (>= 1),
  libghc-configfile-doc (>= 1),
  libghc-feed-doc (>= 0.3.6),
- libghc-xss-sanitize-doc (>= 0.2),
+ libghc-xss-sanitize-doc (>= 0.3),
  libghc-json-doc (>= 0.4)
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/gitit
@@ -72,9 +76,9 @@
 Package: gitit
 Architecture: any
 Depends:
+ ${haskell:Extra-Depends},
  ${misc:Depends},
  ${shlibs:Depends},
- ${gitit:Depends},
  libjs-jquery,
  libjs-jquery-ui
 Description: Wiki engine backed by a git or darcs filestore
