## gitit 0.9

=== debian/changelog ===
gitit (0.9-1ubuntu1) precise; urgency=low

  * Add a new patch to comment out a type signature which, when present,
    causes the build to fail at the documentation generation stage. This is
    due to an as-yet undiscovered bug elsewhere in the stack.

 -- Iain Lane <laney@ubuntu.com>  Sun, 22 Apr 2012 16:14:27 +0100

gitit (0.9-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sun, 04 Mar 2012 21:14:44 -0500
