## gitit 0.10.0.1

=== debian/changelog ===
gitit (0.10.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 25 Jun 2012 22:51:19 -0400

gitit (0.10-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 30 May 2012 21:37:10 -0400

gitit (0.9.0.1-3) unstable; urgency=low

  * Fix some runtime dependencies (closes: #673472).

 -- Giovanni Mascellani <gio@debian.org>  Sat, 19 May 2012 10:41:52 +0200

gitit (0.9.0.1-2) unstable; urgency=low

  * Missing dependency on libghc-safe-dev.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 16 May 2012 09:55:02 +0200

gitit (0.9.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Dependencies.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 15 May 2012 11:05:58 +0200

gitit (0.9-2) unstable; urgency=low

  * Add a new patch to comment out a type signature which, when present,
    causes the build to fail at the documentation generation stage. This is
    due to an as-yet undiscovered bug elsewhere in the stack. The patch was
    written by Iain Lane for the Ubuntu package.
  * Build-Depends on libghc-ghc-paths-{dev,prof,doc} to have plugin
    support (closes: #655061).
  * Other minor fixes.

 -- Giovanni Mascellani <gio@debian.org>  Thu, 26 Apr 2012 14:27:44 +0200
