=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gitit
 Priority: extra
 Section: haskell
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Giovanni Mascellani <gio@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends:
  debhelper (>= 7),
@@ -12,114 +11,162 @@
  pandoc (>= 1.8),
  xsltproc,
  docbook-xsl
- , libghc-blaze-html-dev (>> 0.4)
- , libghc-blaze-html-dev (<< 0.5)
- , libghc-blaze-html-prof
+# -dev dependencies
+ , libghc-parsec3-dev
+ , libghc-pretty-dev
+ , libghc-xhtml-dev
+ , libghc-pandoc-dev (>= 1.9.0.5)
+ , libghc-pandoc-dev (<< 1.10)
+ , libghc-pandoc-types-dev (>= 1.9.0.2)
+ , libghc-pandoc-types-dev (<< 1.10)
+ , libghc-mtl-dev
  , libghc-cgi-dev
+ , libghc-highlighting-kate-dev (>= 0.5.0.1)
+ , libghc-highlighting-kate-dev (<< 0.6)
+ , libghc-text-dev
+ , libghc-random-dev
+ , libghc-network-dev (>= 2.1.0.0)
+ , libghc-network-dev (<< 2.4)
+ , libghc-utf8-string-dev (>= 0.3)
+ , libghc-utf8-string-dev (<< 0.4)
+ , libghc-sha-dev (>= 1)
+ , libghc-sha-dev (<< 1.6)
+ , libghc-http-dev (>= 1:4000.0)
+ , libghc-http-dev (<< 1:4000.3)
+ , libghc-hstringtemplate-dev (>= 0.6)
+ , libghc-hstringtemplate-dev (<< 0.7)
+ , libghc-recaptcha-dev (>= 0.1)
+ , libghc-filestore-dev (>> 0.5)
+ , libghc-filestore-dev (<< 0.6)
+ , libghc-zlib-dev (>= 0.5)
+ , libghc-zlib-dev (<< 0.6)
+ , libghc-url-dev (>= 2.1)
+ , libghc-url-dev (<< 2.2)
+ , libghc-happstack-server-dev (>= 7.0)
+ , libghc-happstack-server-dev (<< 7.1)
+ , libghc-base64-bytestring-dev (>= 0.1)
+ , libghc-base64-bytestring-dev (<< 0.2)
+ , libghc-xml-dev (>= 1.3.5)
+ , libghc-hslogger-dev (>= 1)
+ , libghc-hslogger-dev (<< 1.2)
+ , libghc-configfile-dev (>= 1)
+ , libghc-configfile-dev (<< 1.2)
+ , libghc-feed-dev (>= 0.3.6)
+ , libghc-feed-dev (<< 0.4)
+ , libghc-xss-sanitize-dev (>= 0.3)
+ , libghc-xss-sanitize-dev (<< 0.4)
+ , libghc-tagsoup-dev (>= 0.12)
+ , libghc-tagsoup-dev (<< 0.13)
+ , libghc-blaze-html-dev (>= 0.4)
+ , libghc-blaze-html-dev (<< 0.6)
+ , libghc-json-dev (>= 0.4)
+ , libghc-json-dev (<< 0.6)
+ , libghc-ghc-paths-dev
+ , libghc-safe-dev
+# -prof dependencies
+ , libghc-parsec3-prof
+ , libghc-pretty-prof
+ , libghc-xhtml-prof
+ , libghc-pandoc-prof (>= 1.9.0.5)
+ , libghc-pandoc-prof (<< 1.10)
+ , libghc-pandoc-types-prof (>= 1.9.0.2)
+ , libghc-pandoc-types-prof (<< 1.10)
+ , libghc-mtl-prof
  , libghc-cgi-prof
- , libghc-configfile-dev (>> 1)
- , libghc-configfile-dev (<< 1.2)
- , libghc-configfile-prof
- , libghc-feed-dev (>> 0.3.6)
- , libghc-feed-dev (<< 0.4)
- , libghc-feed-prof
- , libghc-filestore-dev (>> 0.4.0.2)
- , libghc-filestore-dev (<< 0.5)
- , libghc-filestore-prof
- , libghc-happstack-server-dev (>> 6.6)
- , libghc-happstack-server-dev (<< 6.7)
- , libghc-happstack-server-prof
- , libghc-happstack-util-dev (>> 6.0)
- , libghc-happstack-util-dev (<< 6.1)
- , libghc-happstack-util-prof
- , libghc-highlighting-kate-dev (>> 0.5.0.1)
- , libghc-highlighting-kate-dev (<< 0.6)
- , libghc-highlighting-kate-prof
- , libghc-hslogger-dev (>> 1)
- , libghc-hslogger-dev (<< 1.2)
- , libghc-hslogger-prof
- , libghc-hstringtemplate-dev (>> 0.6)
- , libghc-hstringtemplate-dev (<< 0.7)
- , libghc-hstringtemplate-prof
- , libghc-http-dev (>> 1:4000.0)
- , libghc-http-dev (<< 1:4000.3)
- , libghc-http-prof
- , libghc-json-dev (>> 0.4)
- , libghc-json-dev (<< 0.6)
- , libghc-json-prof
- , libghc-mtl-dev
- , libghc-mtl-prof
- , libghc-network-dev (>> 2.1.0.0)
- , libghc-network-dev (<< 2.4)
- , libghc-network-prof
- , libghc-pandoc-dev (>> 1.9.0.5)
- , libghc-pandoc-dev (<< 1.10)
- , libghc-pandoc-prof
- , libghc-pandoc-types-dev (>> 1.9.0.2)
- , libghc-pandoc-types-dev (<< 1.10)
- , libghc-pandoc-types-prof
- , libghc-parsec3-dev
- , libghc-parsec3-prof
- , libghc-random-dev
+ , libghc-highlighting-kate-prof (>= 0.5.0.1)
+ , libghc-highlighting-kate-prof (<< 0.6)
+ , libghc-text-prof
  , libghc-random-prof
- , libghc-recaptcha-dev (>> 0.1)
- , libghc-recaptcha-prof
- , libghc-safe-dev
+ , libghc-network-prof (>= 2.1.0.0)
+ , libghc-network-prof (<< 2.4)
+ , libghc-utf8-string-prof (>= 0.3)
+ , libghc-utf8-string-prof (<< 0.4)
+ , libghc-sha-prof (>= 1)
+ , libghc-sha-prof (<< 1.6)
+ , libghc-http-prof (>= 1:4000.0)
+ , libghc-http-prof (<< 1:4000.3)
+ , libghc-hstringtemplate-prof (>= 0.6)
+ , libghc-hstringtemplate-prof (<< 0.7)
+ , libghc-recaptcha-prof (>= 0.1)
+ , libghc-filestore-prof (>> 0.5)
+ , libghc-filestore-prof (<< 0.6)
+ , libghc-zlib-prof (>= 0.5)
+ , libghc-zlib-prof (<< 0.6)
+ , libghc-url-prof (>= 2.1)
+ , libghc-url-prof (<< 2.2)
+ , libghc-happstack-server-prof (>= 6.6)
+ , libghc-happstack-server-prof (<< 7.1)
+ , libghc-base64-bytestring-prof (>= 0.1)
+ , libghc-base64-bytestring-prof (<< 0.2)
+ , libghc-xml-prof (>= 1.3.5)
+ , libghc-hslogger-prof (>= 1)
+ , libghc-hslogger-prof (<< 1.2)
+ , libghc-configfile-prof (>= 1)
+ , libghc-configfile-prof (<< 1.2)
+ , libghc-feed-prof (>= 0.3.6)
+ , libghc-feed-prof (<< 0.4)
+ , libghc-xss-sanitize-prof (>= 0.3)
+ , libghc-xss-sanitize-prof (<< 0.4)
+ , libghc-tagsoup-prof (>= 0.12)
+ , libghc-tagsoup-prof (<< 0.13)
+ , libghc-blaze-html-prof (>= 0.4)
+ , libghc-blaze-html-prof (<< 0.5)
+ , libghc-json-prof (>= 0.4)
+ , libghc-json-prof (<< 0.6)
+ , libghc-ghc-paths-prof
  , libghc-safe-prof
- , libghc-sha-dev (>> 1)
- , libghc-sha-dev (<< 1.6)
- , libghc-sha-prof
- , libghc-tagsoup-dev (>> 0.12)
- , libghc-tagsoup-dev (<< 0.13)
- , libghc-tagsoup-prof
- , libghc-text-dev
- , libghc-text-prof
- , libghc-url-dev (>> 2.1)
- , libghc-url-dev (<< 2.2)
- , libghc-url-prof
- , libghc-utf8-string-dev (>> 0.3)
- , libghc-utf8-string-dev (<< 0.4)
- , libghc-utf8-string-prof
- , libghc-xhtml-dev
- , libghc-xhtml-prof
- , libghc-xml-dev (>> 1.3.5)
- , libghc-xml-prof
- , libghc-xss-sanitize-dev (>> 0.3)
- , libghc-xss-sanitize-dev (<< 0.4)
- , libghc-xss-sanitize-prof
- , libghc-zlib-dev (>> 0.5)
- , libghc-zlib-dev (<< 0.6)
- , libghc-zlib-prof
 Build-Depends-Indep: ghc-doc
- , libghc-blaze-html-doc
+# -doc dependencies
+ , libghc-parsec3-doc
+ , libghc-pretty-doc
+ , libghc-xhtml-doc
+ , libghc-pandoc-doc (>= 1.9.0.5)
+ , libghc-pandoc-doc (<< 1.10)
+ , libghc-pandoc-types-doc (>= 1.9.0.2)
+ , libghc-pandoc-types-doc (<< 1.10)
+ , libghc-mtl-doc
  , libghc-cgi-doc
- , libghc-configfile-doc
- , libghc-feed-doc
+ , libghc-highlighting-kate-doc (>= 0.5.0.1)
+ , libghc-highlighting-kate-doc (<< 0.6)
+ , libghc-text-doc
+ , libghc-random-doc
+ , libghc-network-doc (>= 2.1.0.0)
+ , libghc-network-doc (<< 2.4)
+ , libghc-utf8-string-doc (>= 0.3)
+ , libghc-utf8-string-doc (<< 0.4)
+ , libghc-sha-doc (>= 1)
+ , libghc-sha-doc (<< 1.6)
+ , libghc-http-doc (>= 1:4000.0)
+ , libghc-http-doc (<< 1:4000.3)
+ , libghc-hstringtemplate-doc (>= 0.6)
+ , libghc-hstringtemplate-doc (<< 0.7)
+ , libghc-recaptcha-doc (>= 0.1)
  , libghc-filestore-doc
- , libghc-happstack-server-doc
- , libghc-happstack-util-doc
- , libghc-highlighting-kate-doc
- , libghc-hslogger-doc
- , libghc-hstringtemplate-doc
- , libghc-http-doc
- , libghc-json-doc
- , libghc-mtl-doc
- , libghc-network-doc
- , libghc-pandoc-doc
- , libghc-pandoc-types-doc
- , libghc-parsec3-doc
- , libghc-random-doc
- , libghc-recaptcha-doc
+ , libghc-zlib-doc (>= 0.5)
+ , libghc-zlib-doc (<< 0.6)
+ , libghc-url-doc (>= 2.1)
+ , libghc-url-doc (<< 2.2)
+ , libghc-happstack-server-doc (>= 6.6)
+ , libghc-happstack-server-doc (<< 7.1)
+ , libghc-base64-bytestring-doc (>= 0.1)
+ , libghc-base64-bytestring-doc (<< 0.2)
+ , libghc-xml-doc (>= 1.3.5)
+ , libghc-hslogger-doc (>= 1)
+ , libghc-hslogger-doc (<< 1.2)
+ , libghc-configfile-doc (>= 1)
+ , libghc-configfile-doc (<< 1.2)
+ , libghc-feed-doc (>= 0.3.6)
+ , libghc-feed-doc (<< 0.4)
+ , libghc-xss-sanitize-doc (>= 0.3)
+ , libghc-xss-sanitize-doc (<< 0.4)
+ , libghc-tagsoup-doc (>= 0.12)
+ , libghc-tagsoup-doc (<< 0.13)
+ , libghc-blaze-html-doc (>= 0.4)
+ , libghc-blaze-html-doc (<< 0.5)
+ , libghc-json-doc (>= 0.4)
+ , libghc-json-doc (<< 0.6)
+ , libghc-ghc-paths-doc
  , libghc-safe-doc
- , libghc-sha-doc
- , libghc-tagsoup-doc
- , libghc-text-doc
- , libghc-url-doc
- , libghc-utf8-string-doc
- , libghc-xhtml-doc
- , libghc-xml-doc
- , libghc-xss-sanitize-doc
- , libghc-zlib-doc
 Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/gitit
 Vcs-Darcs: http://darcs.debian.org/darcs/pkg-haskell/gitit
@@ -132,7 +179,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libjs-jquery,
- libjs-jquery-ui
+ libjs-jquery-ui,
+ git | darcs | mercurial
+Recommends: mime-support
 Description: Wiki engine backed by a git or darcs filestore
  Gitit is a wiki backed by a git or darcs filestore. Pages and uploaded files
  can be modified either directly via the VCS’s command-line tools or through
@@ -159,9 +208,10 @@
 Architecture: any
 Depends:
  ${haskell:Depends},
+ ${haskell:Extra-Depends},
  ${misc:Depends},
  ${shlibs:Depends},
- gitit
+ gitit (>= ${binary:Version})
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
@@ -196,6 +246,7 @@
  ${misc:Depends}
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
+Provides: ${haskell:Provides}
 Description: Wiki engine backed by a git or darcs filestore; profiling libraries
  Gitit is a wiki backed by a git or darcs filestore. Pages and uploaded files
  can be modified either directly via the VCS’s command-line tools or through
