=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,14 @@
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
 
+DEB_GHC_EXTRA_PACKAGES := gitit (>= $(CABAL_VERSION))
+
 %.1: debian/%.xml
 	$(XP) $(DB2MAN) $<
 
 build/gitit:: $(MANPAGES)
 
-install/gitit:: debian/tmp-inst-ghc
+install/gitit:: debian/tmp-inst-ghc debian/extra-depends
 	cp -av debian/tmp-inst-ghc/usr/bin/* debian/gitit/usr/bin
 	cp -av debian/tmp-inst-ghc/usr/share/gitit-$(CABAL_VERSION) debian/gitit/usr/share
 
@@ -32,11 +34,6 @@
 	# Build data packages depends
 	dh_haskell_depends -pgitit
 
-# Not used at the moment
-#install/libghc-gitit-dev:: debian/tmp-inst-ghc
-#	# Generate dependencies against data packages
-#	echo "gitit:Depends=pandoc (= ${PANDOC_DEP}), libghc-filestore-data (= ${FILESTORE_DEP})" >> debian/gitit.substvars
-
 clean::
 	rm -f $(MANPAGES)
